#include <iostream>
#include <vector>
int main()
{
    int n;
    int l;
    std::cin>>n;
    std::cin>>l;
    std::vector<int>h(n);
    for(int i=0; i<n; i++){
        std::cin>>h[i];
    }

    int i=0;
    int brojac;
    bool moze=true;
    
    while(i<n){
        if(i==n-1){
            if(h[i]<=l){
            brojac=i+1;
            moze=false;
            break;
        }
            else{
            moze=true;
        }
        }
        else{
        
        if(h[i]<=l){
            brojac=i+1;
            moze=false;
            break;
        }
        else{
            moze=true;
        }
        i++;
        }
    }
    if(moze==true){
        std::cout<<"-1";
    }
    else{
        std::cout<<brojac;
    }
    
    return 0;
}